MSR_PRINT(3)

NAME
msr_print - Printing of Mini-SEED record header values.

SYNOPSIS
#include <libmseed.h>

void   msr_print ( MSRecord *msr, flag details );

DESCRIPTION
msr_print prints formatted details from the given MSRecord struct (parsed record header), i.e. fixed section and blockettes. All output is printed using ms_log(3) at level 0. The details flag controls how much information is printed:
0  : a single line summarizing the record
1  : most commonly desired header details
2+ : all header details

If no fixed section header information is available at MSRecord.fsdh then a single line is printed from the other information in the MSRecord structure.

SEE ALSO
ms_intro(3) and msr_unpack(3).

AUTHOR
Chad Trabant
IRIS Data Management Center